#!/bin/sh

. ./base-config.sh

echo $CT
echo ""
echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'
echo "<html><head><title>$XADDONS</title>"
echo '<style type="text/css">'
echo "  a:link { color:blue; text-decoration:none; font-weight:bold; }"
echo "  a:visited { color:blue; text-decoration:none; font-weight:bold; }"
echo "  a:hover { color:red; text-decoration:none; font-weight:bold; }"
echo "  a:active { color:blue; text-decoration:none; font-weight:bold; }"
echo "  a:focus { color:#0000FF; text-decoration:none; font-weight:bold; }"
echo "</style>"
echo "</head><body bgcolor=#D0E0FF>"
echo "<hr>"

# check and set
REELHTTP="/cgi-bin/base-pcmenu.sh"
REELHTTP_PDA="/cgi-bin/pda.sh"
width='100%'
height='95%'

#some global stuff
action=$(echo "$QUERY_STRING" | cut -d"=" -f1)
referer=$(echo "$HTTP_HOST" | cut -d":" -f1)
SHOWIFRAME=1


. ./check_webifs.sh

####################################################################
#EPG und Webifs
echo "<p><B>EPG / $XHWEBIF </B>"
echo "<ul>"
echo "<li><b>ReelHTTP:</b> <a href=$REELHTTP>$XSTART</a> <a href=$REELHTTP_PDA>(PDA)</a>, <a href=/cgi-bin/base-rc.sh>$XRC</a>, <a href=/cgi-bin/timers.sh>$XTIMER</a>, <a href=/cgi-bin/records.sh>$XRECORDS</a>"

echo "<li><a href=http://www.tvtv.de>tvtv</a> $XHTVTV"
echo "<li><a href=http://www.tvinfo.de>TV-Info</a> <a href=/cgi-bin/tvinfo-import-wrapper.sh>(import Timer)</a> <a href=/cgi-bin/tvinfo-showlog.sh>(show log)</a> $XHTVINFO"


if [ $SHOWVDRADMIN -eq 1 ] ; then
  echo "<li><a href=$VDRADMIN>vdradmin</a> $XHVDRADMIN "
fi

if [ $SHOWLIVE -eq 1 ] ; then
  echo "<li><a href=$LIVE>LIVE</a> $XHLIVE "
fi

if [ $SHOWXXV -eq 1 ] ; then
  echo "<li><a href=$XXV>XXV</a> $XHXXV "
fi

if [ $SHOWRBC -eq 1 ] ; then
  echo "<li><a href=$RBC>RBC</a> $XHRBC "
fi

if [ $SHOWIVDR -eq 1 ] ; then
  echo "<li><a href=$IVDR target=_blank>iVDR</a> $XHIVDR "
fi

if [ $REEL -eq 1 ] ; then
  echo "<li><a href=/cgi-bin/zapperlist.sh target=_blank>$XZAPPERLIST</a> <a href=/cgi-bin/zapperlist_extern.sh target=_blank>(extern)</a> $XHZAPPERLIST"
else
  echo "<li><a href=/cgi-bin/zapperlist.sh target=_blank>$XZAPPERLIST</a> $XHZAPPERLIST"
fi


# ipk
if [ $REEL -eq 0 ] ; then
  echo "<li><a href="/cgi-bin/ipk-index.sh" target=$TARGET>$XIPK</a>"
fi

echo "</ul>"

######################################################
# mehr (aus base:)
echo "<p><b>$XADDONS</b>"
echo "<ul>"

# aus addonlist2
if [ -e /opt/reelhttp-addons/bin/addonlist2.sh ] ; then
  /opt/reelhttp-addons/bin/addonlist2.sh
else
  echo "<li><a href=/cgi-bin/update.sh>reelhttp $XINSTALL</a>"
fi

# istreamdev
if [ -d /var/www/istreamdev ] ; then
	echo "<li><a href=/istreamdev/>istreamdev</a>"
fi

echo "</ul>"



echo "</font>"
echo "</body></html>"

