#!/bin/sh

# check REELHTTP 
REELHTTP="/cgi-bin/base-pcmenu.sh"
REELHTTP_PDA="/cgi-bin/pda.sh"

#check vdradmin
if [ -e /usr/bin/vdradmind.pl ] ; then
  if [ -e /etc/vdradmin/vdradmind.conf ] ; then
     SHOWVDRADMIN=1
     PORT=$(grep SERVERPORT /etc/vdradmin/vdradmind.conf | cut -d" " -f3)
     if [ $PORT -eq 80 ] ; then
        VDRADMIN=$(echo http://$referer)
     else
        VDRADMIN=$(echo http://$referer:$PORT)
     fi
  else
      SHOWVDRADMIN=0
  fi
else
  SHOWVDRADMIN=0
fi

#check ivdr
if [ -e /etc/reelhttp-base/cgi-bin/ivdr.pl ] ; then
  IVDR="/cgi-bin/ivdr.pl"
  SHOWIVDR=1
else
  SHOWIVDR=0
fi

#check rbc
if [ -e /opt/rbc/conf/lighttpd.conf ] ; then
     SHOWRBC=1
     PORT=$(grep server.port /opt/rbc/conf/lighttpd.conf | tr -s " " | cut -d" " -f3)
     if [ $PORT -eq 80 ] ; then
        RBC=$(echo http://$referer)
     else
        RBC=$(echo http://$referer:$PORT)
     fi
else
    SHOWRBC=0
fi

#check xxv
if [ -e /etc/default/xxvd.cfg ] ; then
    SHOWXXV=1
    PORT=$(cat /etc/default/xxvd.cfg | grep -C 5 "HTTPD" | grep "Port" | cut -d"=" -f2)
    XXV=$(echo http://$referer:$PORT)
else
    SHOWXXV=0
fi

#check LIVE
if [ -d /etc/vdr/live ] ; then
    SHOWLIVE=1
    # where is the configuration ?
    PORT="8008"     
    LIVE=$(echo http://$referer:$PORT)
else
    SHOWLIVE=0
fi
