#!/bin/sh
echo "<tr><td><table=100%>"
echo "<tr><td><code><ol>"

RUN=1

REELOS=$(cat /etc/reel/release | grep "Release=" | cut -d"=" -f2 | cut -d"." -f1)
echo "<li> ReelOS: $REELOS.x"

echo "<li> update package list"
apt-get update

#1) check httpd
dpkg -s lighttpd > /dev/null
if [ $? -eq 1 ] ; then
  echo "<li> get lighttpd"
	if [ $? -eq 0 ] ; then
		echo "ok ..."
  		apt-get install recode
   		apt-get install lighttpd
	else
		echo "you dont have an internet connection, please install the lighttpd - paket manually!!"
	fi
	/etc/init.d/lighttpd stop
  tar -xzvf /etc/reelhttp-base/install/lighttpd.conf.tgz -C /
	/etc/init.d/lighttpd start
else
  echo "<li> lighttpd seems to be here, leave it untouched"
fi
  

if [ ! -e /sbin/svdrpsend.sh ] ; then
  echo "<li> set link for svdrpsend.sh (again)"
	ln -s /usr/sbin/svdrpsend.sh /sbin/svdrpsend.sh
fi

if [ ! -d /etc/video ] ; then
  echo "<li> make link /etc/vdr to /etc/video"
	ln -s /etc/vdr /etc/video
fi

if [ ! -e /usr/bin/mencoder ] ; then
  echo "<li> get mencoder"
	if [ $? -eq 0 ] ; then
		apt-get install mencoder
	else
		echo "installing mencoder failed, you have to install manually"
	fi
else
  echo "<li> mencoder seems to be here"
fi

if [ ! -e /usr/bin/vlc ] ; then
  echo "<li> get vlc"
	if [ $? -eq 0 ] ; then
		apt-get install vlc
	else
		echo "installing vc failed, you have to install manually"
	fi
else
  echo "<li> vlc seems to be here"
fi

if [ ! -e /usr/bin/lame ] ; then
  echo "<li> get lame"
	if [ $? -eq 0 ] ; then
		apt-get install lame
	else
		echo "installing lame failed, you have to install manually"
	fi
else
  echo "<li> lame seems to be here"
fi                     

echo "<li> checking java .."
java > /dev/null
if [ $? -eq 0 ] ; then
	echo " a java vm seems to be here"
else
	if [ $REELOS -le 9 ] ; then 
		echo "not found, try to install sun-java6-bin<br>"
		apt-get install sun-java6-bin
	else
		echo " no java found and ReelOS is >= 10, !! please install manually for making dvd"
	fi
fi

if [ -e /etc/reelhttp-base/cgi-bin/config.sh ] ; then
  echo "<li> check config.sh .."
  if [ $(grep -c "EXTERNQUAL" /etc/reelhttp-base/cgi-bin/config.sh) -eq 0 ] ; then
    echo " write template for externremux to config.sh"
	echo "add EXTERNQUAL=PDA - Parameter to existing config"
    echo "#externremux_Config_could_be_one_of" >> /etc/reelhttp-base/cgi-bin/config.sh
    echo "#DSL1000_DSL2000_DSL3000_DSL6000_DSL16000_LAN10_WLAN11_WLAN54_PDA_n800" >> /etc/reelhttp-base/cgi-bin/config.sh
    echo "EXTERNQUAL=PDA" >> /etc/reelhttp-base/cgi-bin/config.sh
  fi
  if [ $(grep -c "STREAMURL" /etc/reelhttp-base/cgi-bin/config.sh) -eq 0 ] ; then
	echo "add Parameter for streaming url "
	echo "#streamingurl_1=url_or_0=m3u" >> /etc/reelhttp-base/cgi-bin/config.sh
	echo "STREAMURL=1" >> /etc/reelhttp-base/cgi-bin/config.sh
  fi
  echo " - ok"
else
  echo "<li> no old config.sh"
fi

echo "<li> check externremux.sh ..."
if [ -e /root/externremux.sh ] ; then
  echo "found /root/externremux.sh, make backup to /root/externremux.bkp; "
  mv /root/externremux.sh /root/externremux.bkp
fi  
if [ -e /etc/reel/externremux.sh ] ; then
  echo "found /etc/reel/externremux.sh, make backup to /etc/reel/externremux.bkp; "
  mv /etc/reel/externremux.sh /etc/reel/externremux.bkp
fi  

echo "make links from /opt/reelhttp-addons/bin/externremux.sh to /root/externremux.sh and /etc/reel/externremux.sh (again)"
ln -s /opt/reelhttp-addons/bin/externremux.sh /root/externremux.sh
ln -s /opt/reelhttp-addons/bin/externremux.sh /etc/reel/externremux.sh

echo "<li> make link for istreamdev if installed: "
if [ -d /var/www/istreamdev ] ; then
	echo "ok, /var/www/istreamdev is present so make a link to /etc/reelhttp-base"
	ln -s /var/www/istreamdev /etc/reelhttp-base/istreamdev
else
	echo "not found /var/www/istreamdev, so no istreamdev installed (?)"
fi

echo "</ol></code>#### checkinstall AVG done ####"
echo "</td></tr>"
echo "</table></td></tr>"
