#!/bin/sh

. ./base-config.sh

echo $CT
/bin/cat << EOM


<html>
<head>
<title>$XIPKTITLE</title>
<link rel="stylesheet" media="screen" type="text/css" href="/screen.css">
<link rel="stylesheet" media="handheld" type="text/css" href="/handheld.css">
</head>
<table class=generic>
EOM

. ./base-menu.sh

echo "<tr><td>&nbsp;</td></tr>"
echo "<tr><td><b>$XIPKINSTALLED:</b></td></tr>"
echo "<tr><td>&nbsp;</td></tr>"

echo "<tr><td><table class=indexframe>"

for i in $(ipkg-cl list_installed | tr -s " " "")
do
  ITEM=$(echo $i | tr -s "" " " | sed -e s/" - "/""/g)
  NAME=$(echo $ITEM | cut -d"" -f1)
  VERSION=$(echo $ITEM | cut -d"" -f2)
  INFO=$(echo $ITEM | cut -d"" -f3- | tr -s "" "-")
  
  if [ $(echo $ITEM | grep -c "Successfully") -eq 0 ] ; then
    echo "<tr><td class=indexitem>$NAME</td><td class=chnname>$VERSION</td><td class=chnname>$INFO</td><td class=timeropt><a href=/cgi-bin/ipk-install.sh?value=$NAME>update</a>&nbsp;&nbsp;<a href=/cgi-bin/ipk-remove.sh?value=$NAME>$XREMOVE</a></td></tr>"
  fi
  
done
echo "</table></td></tr>"
echo "<tr><td>&nbsp;</td></tr>"

echo "<tr><td><b>$XIPKAVAILABLE:</b></td></tr>"
echo "<tr><td>&nbsp;</td></tr>"

ipkg-cl update > /dev/null
echo "<tr><td><table class=indexframe>"

for i in $(ipkg-cl list | tr -s " " "")
do
  ITEM=$(echo $i | tr -s "" " " | sed -e s/" - "/""/g)
  NAME=$(echo $ITEM | cut -d"" -f1)
  VERSION=$(echo $ITEM | cut -d"" -f2)
  INFO=$(echo $ITEM | cut -d"" -f3- | tr -s "" "-")
  
  if [ $(echo $ITEM | grep -c "Successfully") -eq 0 ] ; then
    echo "<tr><td class=indexitem>$NAME</td><td class=chnname>$VERSION</td><td class=chnname>$INFO</td><td class=timeropt><a href=/cgi-bin/ipk-info.sh?value=$NAME>$XINFO</a></td><td class=timeropt><a href=/cgi-bin/ipk-install.sh?value=$NAME>$XINSTALL</a></tr>"
  fi
  
done

echo "</table></td></tr>"

/bin/cat << EOM
</table>
</body> 
</html>
EOM
