#!/bin/sh

SEARCH="(A10|A24|A20|B192|Bernau)"
#SEARCH="(A10|B183)"

echo "Content-type: text/html;"
echo ""

/bin/cat << EOM
<html>
<head>
<title>Verkehrsinfo</title>
</head>
<body>
EOM

tmp=/tmp/vk
url="http://mobil.verkehrsinfo.de"
echo "<p>Suche nach: $SEARCH</p>"

# Mecklenburg
echo "<p><b><u>Mecklenburg</u></b></p>"
blurl=$(echo $url"/mmeldung.php3?bl=268")
wget -q -O $tmp $blurl
count=0
for line in $(cat $tmp | tr -s " " "_")
do
	count=$(($count + 1))
	line=$(echo $line | tr -s "_" " " | sed -e 's/<[^<>]*>//g; /^[ ]*$/d')
	if [ $(echo $line | wc -w) -gt 2 ] ; then
		echo "<p>$line</p>"
	fi
done
rm $tmp


# Brandenburg
echo "<p><b><u>Brandenburg</u></b></p>"
blurl=$(echo $url"/mmeldung.php3?bl=267")
wget -q -O $tmp $blurl
count=0
for line in $(cat $tmp | tr -s " " "_")
do
	count=$(($count + 1))
	line=$(echo $line | tr -s "_" " " | sed -e 's/<[^<>]*>//g; /^[ ]*$/d' | egrep "$SEARCH")
	if [ $(echo $line | wc -w) -gt 2 ] ; then
		echo "<p>$line</p>"
	fi
done
rm $tmp




/bin/cat << EOM
</table>
</body>
</html>
EOM
