#!/bin/sh

. ./addons-config.sh

if [ -d /media/reel/ ]; then
	recs=/media/reel/recordings/
else
	recs=/media/hd/recordings/
fi


if [ -e /tmp/reelhttp-recordlist_html ] ; then
  rm /tmp/reelhttp-recordlist_html
fi

if [ -e /tmp/reelhttp-recordlist ] ; then
  rm /tmp/reelhttp-recordlist
fi


count=0

for i in $(find $recs -name 001.vdr | cut -d"/" -f5- | sed -e s/"001\.vdr"//g | tr -s " " "_")
do
	count=$(($count+1))
  linkname=$(echo $i | sed -e s/".[[:digit:]][[:digit:]].[[:digit:]][[:digit:]].rec\/"//g)
  marks=$(echo "$recs$i/marks.vdr")
  #info=$(echo "$recs$i/marks.vdr")

  if [ -e $marks ] ; then
  	echo "<tr><td>&nbsp;<a href=/cgi-bin/addon.sh?dvdburner.sh=add=$count>+</a>&nbsp;&nbsp;$linkname <b>[cuts! <a href=/cgi-bin/addon.sh?dvdburner.sh=delcut=$count></b><i>($XREMOVE)</i><b></a>]</b></td></tr>" >> /tmp/reelhttp-recordlist_html
  else
  	echo "<tr><td>&nbsp;<a href=/cgi-bin/addon.sh?dvdburner.sh=add=$count>+</a>&nbsp;&nbsp;$linkname</td></tr>" >> /tmp/reelhttp-recordlist_html
	fi
  echo "$count:$i" >> /tmp/reelhttp-recordlist
done

