#!/bin/sh

. ./addons-config.sh


if [ ! -d /mnt/hd/images/backgroundpicts ] ; then
    mkdir /mnt/hd/images/backgroundpicts
fi

cd /mnt/hd/images/backgroundpicts

echo "<ol>"

nr=1

#CHECK FOR new Images with audio_* instead radio_*

AUDIOIMG=0

if [ $(ls -l /etc/reel/images/audio_* | wc -l) -gt 0 ] ; then
  echo "<p>found audio_* - Images in /etc/reel/images/"
  AUDIOIMG=1
else
  echo "<p>use radio_* - Images for /etc/reel/images/"
fi

echo "<p>look for *.jpg here"
files=$(ls -l *.jpg | wc -l)
nr=0

if [ $files -eq 0 ] ; then
  echo "<p>$XNOPICTS!</b>"
else
  echo "<p>start conversion ...."
  for i in *.jpg
  do
    if [ $AUDIOIMG -eq 1 ] ; then
      echo "<li>$i --&gt; audio_$nr.mpv ...<br>"
    else
      echo "<li>$i --&gt; radio_$nr.m2v ...<br>"
    fi
    
    #delete spaces
    if [ $(echo $i | grep -c " ") -gt 0 ] ; then
      mv "$i" $(echo $i | tr -s " " "_")
    fi
    
    if [ $AUDIOIMG -eq 1 ] ; then
      /usr/bin/nice -n 19 /usr/sbin/image_convert.sh "$i" audio_$nr.mpv jpg
    else
      /usr/bin/nice -n 19 /usr/sbin/image_convert.sh "$i" radio_$nr.m2v jpg
    fi
    $((nr=$nr+1))
  done
  
  echo "</ol>"

  if [ $(ls /etc/reel/images/ | grep -c radio_) -gt 0 ] ; then
    rm /etc/reel/images/radio_*
  fi
  
  if [ $(ls /etc/reel/images/ | grep -c audio_) -gt 0 ] ; then
    rm /etc/reel/images/audio_*
  fi
  
  if [ $AUDIOIMG -eq 1 ] ; then
    mv audio_* /etc/reel/images/
  else
    mv radio_* /etc/reel/images/
  fi
  
  echo "<p>"
  /etc/bin/etc_backup.sh -s
  echo "</p>"
  
  echo "<p>$XDONE</p>"
fi
