#!/bin/sh

SWAPFILE=/mnt/hd/swapfile

swaptotal=$(cat /proc/meminfo | grep SwapTotal: | tr -s " " | cut -d" " -f 2)

if [ $swaptotal -eq 0 ] ; then

	if [ -e $SWAPFILE ] ; then		
		swapon $SWAPFILE		
	else
		echo "make swapfile ..."	
		dd if=/dev/zero of=$SWAPFILE bs=1M count=128
		mkswap $SWAPFILE
		swapon $SWAPFILE
	fi
fi


