#!/bin/sh

. ./base-config.sh


echo $CT
/bin/cat << EOM

<html>
<head>
<title>$XRC</title>
<link rel="stylesheet" media="screen" type="text/css" href="/screen.css">
<link rel="stylesheet" media="handheld" type="text/css" href="/handheld.css">
</head>
<table class=generic>
EOM

. ./base-menu.sh

svdrcommand=$(echo $QUERY_STRING | cut -d"=" -f2 | tr -s "+" " ")
svdrcommand=$(echo $svdrcommand | tr -s "!" "+")
/sbin/svdrpsend.sh $svdrcommand > /dev/null

INSTDIR=$(pwd)

echo "<tr><td><table>"

/bin/cat << EOM
  <tr>
    <td>
      <table class="rcupper">
        <tr>
          <td class="bp"><a href="/cgi-bin/base-rc.sh?value=hitk+power">Power</a></td>
          <td class="b3">
              <form method=GET action=/cgi-bin/sleeptimer.sh>
                  <select name=sleep size=1>
                  <option value=10>10</option>
                  <option selected value=30>30</option>
                  <option value=60>60</option>
                  <option value=90>90</option>
                  <option value=120>120</option>
                </select>
          </td>
          <td class="b3"><input type=submit value=sleep></form></td>
        </tr>
            <tr>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+1" target=_self>1</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+2" >2</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+3" >3</a></td>
            </tr>
            <tr class="b1">
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+4" >4</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+5" >5</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+6" >6</a></td>
            </tr>
            <tr class="b1">
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+7" >7</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+8" >8</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+9" >9</a></td>
            </tr>
            <tr class="b1">
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+<" >&lt;</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+0" >0</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+>" >&gt;</a></td>
            </tr>
          
            <tr>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=volu+!" >Vol +</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+setup" >Setup</a></td>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=chan+!" >Prog +</a></td>
            </tr>
            <tr>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=volu+-" >Vol -</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=volu+mute" >Mute</a></td>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=chan+-" >Prog -</a></td>
            </tr>
            <tr>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+pip" >PiP</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+menu" >Menu</a></td>
              <td class="b1" ><a href="/cgi-bin/base-rc.sh?value=hitk+back" >Exit</a></td>
            </tr>
          
            <tr>
              <td class="b3"></td>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=hitk+up" >^</a></td>
              <td class="b3"></td>
            </tr>
            <tr>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=hitk+left" >&lt;</a></td>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=hitk+ok" >OK</a></td>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=hitk+right" >&gt;</a></td>
            </tr>
            <tr>
              <td class="b3"></td>
              <td class="b2" ><a href="/cgi-bin/base-rc.sh?value=hitk+down" >v</a></td>
              <td class="b3"></td>
            </tr>
          </table>
        </td>
      </tr>
    
      <tr>
        <td>
          <table class="rclower">
            <tr>
              <td class="br" ><a href="/cgi-bin/base-rc.sh?value=hitk+red" >&nbsp;R</a></td>
              <td class="bg" ><a href="/cgi-bin/base-rc.sh?value=hitk+green" >&nbsp;G</a></td>
              <td class="by" ><a href="/cgi-bin/base-rc.sh?value=hitk+yellow" >&nbsp;Y</a></td>
              <td class="bb" ><a href="/cgi-bin/base-rc.sh?value=hitk+blue" >&nbsp;B</a></td>
            </tr>
          </table>
        </td>
      </tr>
</table>

EOM


echo "</table></td></tr>"

# screenshot
if [ $REEL -eq 1 ] ; then
  #AVG
  echo "<tr><td>"
  rm /etc/reelhttp-base/osd-*.png 2> /dev/null
  osdtime=$(date +%s)
  /usr/sbin/hdfbshot -s 1 /etc/reelhttp-base/osd-$osdtime.png > /dev/null
  echo "</tr></td>"
	echo "<tr><td><a href=/cgi-bin/base-rc.sh><img src=/osd-$osdtime.png alt='OSD'></td></tr>"
else
  # Lite
  if [ $(cat $VDRCONF/setup.conf | grep reelbox.UseHdExt | cut -d" " -f3) -eq 1 ] ; then
    # with HdExt in Use
    echo "<tr><td>"
    rm /etc/reelhttp-base/osd-*.png 2> /dev/null
    osdtime=$(date +%s)
    /usr/sbin/hdfbshot -s 1 /etc/reelhttp-base/osd-$osdtime.png > /dev/null
    echo "</tr></td>"
  	echo "<tr><td><a href=/cgi-bin/base-rc.sh><img src=/osd-$osdtime.png alt='OSD'></td></tr>"
  else
    # Lite without HdExt in Use
  	echo "<tr><td>"
  	rm $INSTDIR/../osd*.jpg 2> /dev/null
  	osdtime=$(date +%s)
  	osddump | /usr/bin/pnmtojpeg > $INSTDIR/../osd-$osdtime.jpg
  	echo "</td></tr>"
  	echo "<tr><td><a href=/cgi-bin/base-rc.sh><img src=/osd-$osdtime.jpg alt='OSD'></td></tr>"
  fi
fi

/bin/cat << EOM
</table>
</body> 
</html>
EOM
