#!/bin/sh

. ./base-config.sh

CALLING=$(echo $QUERY_STRING | cut -d"=" -f2 | cut -d"+" -f1)
SVDRPCMD=$(echo $QUERY_STRING | cut -d"=" -f2 | cut -d"+" -f2- | tr -s "+" " " | tr -s "!" "+")
#SVDRPCMD=$(./base-http2text.sh $SVDRPCMD)

if [ $(echo $SVDRPCMD | grep -c "^chan") -eq 1 -a -e /tmp/rh_stream ]; then
# streaming

EXTERN=""
if [ -e /tmp/rh_stream_extern ] ; then
  EXTERN="Extern/"
fi

if [ $(grep -c ":" /etc/reel/p.streamdev-server.conf) -eq 1 ] ; then
  SECRET=$(cat /etc/reel/p.streamdev-server.conf | grep ":" | cut -d" " -f3 | cut -d"'" -f1)
	REFERER=$(echo "http://$SECRET@"$(echo $HTTP_REFERER | cut -d "/" -f3 | cut -d":" -f1)":3000/"$EXTERN$(echo $SVDRPCMD | cut -d" " -f2))
else
	REFERER=$(echo "http://"$(echo $HTTP_REFERER | cut -d "/" -f3 | cut -d":" -f1)":3000/"$EXTERN$(echo $SVDRPCMD | cut -d" " -f2))
fi
echo "#EXTM3U\n#EXTINF:-1,ReelStream\n"$REFERER > /etc/reelhttp-base/streamplay.m3u

echo $CT
echo ""

#streaming link
echo "<html>"
echo "<head>"
echo "<title>Streamplay</title>"
if [ $STREAMURL -eq 1 ] ; then
	echo '<meta http-equiv="refresh" content="0; url='$REFERER'">'
else
	echo "<meta http-equiv="refresh" content="0; url=/streamplay.m3u">"
fi
echo "</head>"
echo "<body onload=window.setTimeout('close_window()',1000)><p>"
echo "loading ..... ; if not you can choose:<br>"
echo "<a href=$REFERER>$REFERER</a> or <br>"
echo "<a href=/streamplay.m3u>streamplay.m3u</a>"
echo "</p></body></html>"


#normal svdrpcommand
else

#echo "here3"
echo $CT
echo ""

/bin/cat << EOM
<html>
<head>
<title>SVDRP</title>
EOM

if [ $CALLING != "none" ] ; then

  READYMSG="$XBACK (1 sec.)"

  echo "<meta http-equiv="refresh" content='1; url=$CALLING'>"

  /bin/cat << EOM
      <link rel="stylesheet" media="screen" type="text/css" href="/screen.css">
      <link rel="stylesheet" media="handheld" type="text/css" href="/handheld.css">
      </head>
      <body>
EOM

else

  READYMSG="....."

  /bin/cat << EOM
      <script language='JavaScript'>
        <!--
        function close_window()
        {
            window.close();
        }
        //-->
      </script>

      <link rel="stylesheet" media="screen" type="text/css" href="/screen.css">
      <link rel="stylesheet" media="handheld" type="text/css" href="/handheld.css">
      </head>
      <body onload=window.setTimeout('close_window()',1000)>
EOM

fi

echo "<table class=generic>"

#echo "Query String = $QUERY_STRING"
#echo "Calling = $CALLING"
#echo "SVDRPCMD = $SVDRPCMD"

if [ $(echo $SVDRPCMD | grep -c "^rhstream") -eq 1 ]; then
  STREAMNR=$(echo $SVDRPCMD | cut -d" " -f2)
  if [ $STREAMNR -eq 1 ]; then
    echo "will stream now ..."
    touch /tmp/rh_stream
    rm /tmp/rh_stream_extern
   else
    if [ $STREAMNR -eq 2 ] ; then
      echo "will stream extern now ..."
      touch /tmp/rh_stream
      touch /tmp/rh_stream_extern
    else
      echo "will switch LiveTV now ..."
      rm /tmp/rh_stream*
    fi
  fi
else
  ANSWER=$(/sbin/svdrpsend.sh $SVDRPCMD)
  echo "<tr><td class=generic>?ok:</td></tr>"
  echo "<tr><td class=answer>$ANSWER</td></tr>"
  echo "<tr><td class=generic>$READYMSG</td></tr>"
fi

/bin/cat << EOM
</table>
</body>
</html>
EOM
fi
