#!/bin/sh
#start playing of whole dir

space=__
REFERER=$(cat /tmp/referer)

case "$1" in
  playdir)
      if [ -e /tmp/mp3errorlog ] ; then
        rm /tmp/mp3errorlog
      fi
      
      vz=$(echo $2 | sed s/$space/" "/g)
      echo "<tr><td>$XPLAYING $vz</td></tr>"
      killall vlc
      if [ -e /tmp/rh_stream ] ; then
        if [ -e /tmp/rh_stream_extern ] ; then
          # streaming with transcoding
          nice -n 19 vlc -vvv "$vz"/*.mp3 --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001} --sout-keep
        else
          # normal streaming
          nice -n 19 vlc -vvv "$vz"/*.mp3 --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001}
        fi
      else
       #normal playing
       for i in $(find "$vz" -type f | sed s/" "/$space/g)
       do
        name=$(echo $i | sed s/$space/" "/g)
        /sbin/svdrpsend.sh plug mp3 play "$name" >> /tmp/mp3errorlog
       done
      fi
      ;;
  playfile)
      name=$(echo $2 | sed s/$space/" "/g)
      killall vlc  
      if [ -e /tmp/rh_stream ] ; then
        if [ -e /tmp/rh_stream_extern ] ; then
          # streaming with transcoding
          nice -n 19 vlc -vvv "$name" --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001}
        else
          # normal streaming
          nice -n 19 vlc -vvv "$name" --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001}
        fi
      else
       #normal playing
       /sbin/svdrpsend.sh plug mp3 play "$name" >> /tmp/mp3errorlog
      fi
      ;;
esac
