#!/bin/sh
#start playing of whole dir

space=___
REFERER=$(cat /tmp/referer)
m3u=/tmp/reelhttp-mp3.m3u
mlist=/tmp/reelhttp-musiclist
mp3dir=/tmp/reelhttp-single-mp3dir
ARG=$2

case "$1" in
  playdir)
      vz=$(cat $mlist | grep ^$ARG: | cut -d":" -f2-)
      #echo "<tr><td>$XPLAYING $vz</td></tr>"

      echo "#EXTM3U" > $m3u
      for item in $(find "$vz/" -type f | sed s/" "/$space/g)
      do
        #name=$(echo $i | sed s/$space/" "/g)
        echo "$(echo $item | sed s/$space/' '/g)" >> $m3u
      done
			#cat $m3u
      killall vlc
      if [ -e /tmp/rh_stream ] ; then
        if [ -e /tmp/rh_stream_extern ] ; then
          # streaming with transcoding, for later implement
          nice -n 19 vlc -vvv $m3u --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001} --sout-keep
        else
          # normal streaming
          nice -n 19 vlc -vvv $m3u --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001}
        fi
      else
       #normal playing
       #echo "playing m3u! - remove comment!"
       /sbin/svdrpsend.sh plug xinemediaplayer PLAYM3U $m3u
      fi
      ;;

  playpl)
      vz=$(cat $mlist | grep ^$ARG: | cut -d":" -f2-)
      #echo "<tr><td>$XPLAYING $vz</td></tr>"

      echo "#EXTM3U" > $m3u
      for item in $(cat $vz | grep -v ^# | sed s/" "/$space/g)
      do
        #name=$(echo $i | sed s/$space/" "/g)
        echo "$(echo $item | sed s/$space/' '/g)" >> $m3u
      done
			#cat $m3u
      killall vlc
      if [ -e /tmp/rh_stream ] ; then
        if [ -e /tmp/rh_stream_extern ] ; then
          # streaming with transcoding, for later implement
          nice -n 19 vlc -vvv $m3u --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001} --sout-keep
        else
          # normal streaming
          nice -n 19 vlc -vvv $m3u --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001}
        fi
      else
       #normal playing
       #echo "playing m3u! - remove comment!"
       /sbin/svdrpsend.sh plug xinemediaplayer PLAYM3U $m3u
      fi
      ;;

  playfile)
      name=$(cat $mp3dir | grep ^$ARG: | cut -d":" -f2-)
      echo "#EXTM3U" > $m3u
      echo "$name" >> $m3u
      #cat $m3u

      killall vlc
      if [ -e /tmp/rh_stream ] ; then
        if [ -e /tmp/rh_stream_extern ] ; then
          # streaming with transcoding
          nice -n 19 vlc -vvv "$name" --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001}
        else
          # normal streaming
          nice -n 19 vlc -vvv "$name" --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ogg",url=$REFERER:3001}
        fi
      else
       #normal playing
       #echo "also recomment!"
       /sbin/svdrpsend.sh plug xinemediaplayer PLAYM3U $m3u
      fi
      ;;
esac
