#!/bin/sh

cd /opt/reelhttp-addons/bin

. ./addons-config.sh

if [ $(mount | grep -c ^"//") -eq 0 ] ; then
            #mount
            for i in $(cat /etc/reelhttp-base/cgi-bin/config.sh | grep ^SHARE)
            do
              name=$(echo $i | cut -d":" -f1 | cut -d"=" -f2)
              dir=$(echo $i | cut -d":" -f2 | tr -s "-" "/")
              server=$(echo $i | cut -d":" -f3)
              share=$(echo $i | cut -d":" -f4)
              user=$(echo $i | cut -d":" -f5)
              pwd=$(echo $i | cut -d":" -f6)
              
              mkdir -p $dir
              mount -t cifs -o username=$user,password=$pwd //$server/$share $dir
              
              if [ $? -eq 0 ] ; then
                echo "$XMOUNTNAS: $name $XOK"
              else
                echo "$XMOUNTNAS: $name $XFAILED"
              fi
              
            done
            
            if [ -e /mnt/hd/video/.update ] ; then
            	rm /mnt/hd/video/.update
            fi
            touch /mnt/hd/video/.update
else
            #unmount
            for i in $(cat /etc/reelhttp-base/cgi-bin/config.sh | grep ^SHARE)
            do
              name=$(echo $i | cut -d":" -f1 | cut -d"=" -f2)
              dir=$(echo $i | cut -d":" -f2 | tr -s "-" "/")
              ./myumount -f $dir
              if [ $? -eq 0 ] ; then
                echo "$XUMOUNTNAS: $name $XOK"
              else
                echo "$XUMOUNTNAS: $name $XFAILED"
              fi
            done
            if [ -e /mnt/hd/video/.update ] ; then
            	rm /mnt/hd/video/.update
            fi
            touch /mnt/hd/video/.update
fi
