#!/bin/sh

. ./addons-config.sh

CMD=$(echo $1 | cut -d"=" -f1)
ARG=$(echo $1 | cut -d"=" -f2-)
export=/mnt/hd/video/_reelhttp-dvdburn
video=/mnt/hd/video
NAS=0

echo "<tr><td><table=100%>"

#echo $CMD

if [ ! -d $export ] ; then 
  mkdir $export
fi

case "$CMD" in 
  add)    # add to burnlist
          echo $ARG >> burnlist 
          if [ $(ls $export | grep -c burnlist) -eq 0 ] ; then
            ln -s /opt/reelhttp-addons/bin/burnlist $export/burnlist > /dev/null
          fi
            ;;
  del)  cat burnlist | grep -v $ARG > burnlist
            ;;
  delfile)  if [ -e $export/$ARG ] ; then
              rm -rf $export/$ARG
            fi
            ;;
  refresh_rec)  ./old-dvd_mklist.sh
            ;;
  refresh_burn) rm burnlist
                if [ -e $export/burnlist ] ; then
                  rm $export/burnlist
                fi
            ;;
  del_lock) if [ -e /tmp/burn.lock ] ; then
              rm /tmp/burn.lock
            fi
            ;;
  start)    ./old-dvd_convert.sh $DVD $ARG > $export/dvd.log &
            echo "<tr><td>$XBURNSTARTED&nbsp;&nbsp;<a href=/cgi-bin/addon.sh?old-dvdburner.sh=list>$XOK</a></td></tr>"
            sleep 5
            ;;
  mountnas) #mount NAS
            for i in $(cat /etc/reelhttp-base/cgi-bin/config.sh | grep ^SHARE)
            do
              name=$(echo $i | cut -d":" -f1 | cut -d"=" -f2)
              dir=$(echo $i | cut -d":" -f2 | tr -s "-" "/")
              server=$(echo $i | cut -d":" -f3)
              share=$(echo $i | cut -d":" -f4)
              user=$(echo $i | cut -d":" -f5)
              pwd=$(echo $i | cut -d":" -f6)
              
              mkdir -p $dir
              mount -t cifs -o username=$user,password=$pwd //$server/$share $dir
              
              if [ $? -eq 0 ] ; then
                echo "<tr><td>$XMOUNTNAS: $name $XOK</td></tr>"
              else
                echo "<tr><td>$XMOUNTNAS: $name $XFAILED</td></tr>"
              fi
              
            done
            
            if [ -e /mnt/hd/video/.update ] ; then
            	rm /mnt/hd/video/.update
            fi
            touch /mnt/hd/video/.update
            echo "<tr><td><hr></td></tr>"
            ;;
  umountnas) #umount NAS
            for i in $(cat /etc/reelhttp-base/cgi-bin/config.sh | grep ^SHARE)
            do
              name=$(echo $i | cut -d":" -f1 | cut -d"=" -f2)
              dir=$(echo $i | cut -d":" -f2 | tr -s "-" "/")
              ./myumount -f $dir
              if [ $? -eq 0 ] ; then
                echo "<tr><td>$XUMOUNTNAS: $name $XOK</td></tr>"
              else
                echo "<tr><td>$XUMOUNTNAS: $name $XFAILED</td></tr>"
              fi
            done
            if [ -e /mnt/hd/video/.update ] ; then
            	rm /mnt/hd/video/.update
            fi
            touch /mnt/hd/video/.update
            echo "<tr><td><hr></td></tr>"
            ;;
  nascopy)  #copy to NAS
            STARTARG=$(echo "nascopy=$ARG" | tr -s "-" "/")
            ./old-dvd_convert.sh $DVD $STARTARG > $export/dvd.log &
            echo "<tr><td>$XBURNSTARTED&nbsp;&nbsp;<a href=/cgi-bin/addon.sh?old-dvdburner.sh=list>$XOK</a></td></tr>"
            sleep 5
            ;;
esac

#echo "<tr><td>$CMD $2</td></tr>"


echo "<tr><td>"
echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh>$XREFRESH</a>&nbsp;&nbsp;"
if [ $(mount | grep -c ^"//") -eq 0 ] ; then
  echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=mountnas>$XMOUNTNAS</a>&nbsp;&nbsp;"
else
  echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=umountnas>$XUMOUNTNAS</a>&nbsp;&nbsp;"
fi
# show log or not
if [ -e $export/dvd.log ] ; then
  if [ $(cat $export/dvd.log | grep -c "logerror:") -gt 0 ] ; then
    echo "</td></tr><tr><td>"
    echo "<hr>"
    echo "<b>$XLASTBURNERROR !</b><br>"
    for i in $(cat $export/dvd.log | grep "logerror:" | tr -s " " "_")
    do
      echo $i | tr -s "_" " "
      echo "<br>"
    done
    echo "</td></tr><tr><td><a href=/cgi-bin/addon.sh?viewdvdlog.sh target=$TARGET>$XVIEWBURNLOG</a>&nbsp;&nbsp;"
    echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=delfile=dvd.log>($XDEL)</a></td></tr>"   
  else
    echo "$XLASTBURNOK : &nbsp; <a href=/cgi-bin/addon.sh?viewdvdlog.sh target=$TARGET>$XVIEWBURNLOG ?</a>&nbsp;&nbsp;"
    echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=delfile=dvd.log>($XDEL)</a></td></tr>"
  fi
else
  echo "</td></tr>"
fi

# show vz- dvd

if [ $(ls $export/ | grep -c ^"vz-") -gt 0 ] ; then
  echo "<tr><td><hr></td></tr>"
  for i in $(find $export/ -type d -name vz-* )
  do
    linkname=$(echo $i | cut -d"/" -f6-)
    name=$(echo $linkname | cut -c 4-)
    echo "<tr><td>"
    if [ $BURNER -eq 1 ] ; then
      echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=start=archiv=$linkname>$XBURN</a>&nbsp;&nbsp;"
    fi
    echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=delfile=$linkname>$XDEL</a>&nbsp;&nbsp;"
    echo "$name"
    echo "</td></tr>"
  done
fi

# show isos
if [ $(ls $export/ | grep -c ^"vz-") -gt 0 ] ; then
  echo "<tr><td><hr></td></tr>"
  for i in $(find $export/_images -name *.iso )
  do
    linkname=$(echo $i | cut -d"/" -f7-)
    name=$(echo $linkname)
    echo "<tr><td>"
    if [ $BURNER -eq 1 ] ; then
      echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=start=archiv=$linkname>$XBURN</a>&nbsp;&nbsp;"
    fi
    echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=delfile=_images/$linkname>$XDEL</a>&nbsp;&nbsp;"
    echo "$name"
    echo "</td></tr>"
  done
fi

# start burnlist
echo "<tr><td><hr></td></tr>"

if [ -e burnlist ] ; then
  
  
  echo "<tr><td><b>$XINBURNLIST:&nbsp;&nbsp;</b><a href=/cgi-bin/addon.sh?old-dvdburner.sh=refresh_burn>$XNEW</a></td></tr>"
  
  sumsize=0
  
  for i in $(cat burnlist)
  do
    name=$(echo $i | sed -e s/".[[:digit:]][[:digit:]].[[:digit:]][[:digit:]].rec\/"//g)
    size=$(du -sm /mnt/hd/video/$i | cut -f1)
    sumsize=$(($sumsize + $size))
    echo "<tr><td>&nbsp;<a href=/cgi-bin/addon.sh?old-dvdburner.sh=del=$i>-</a>&nbsp;&nbsp;($size)&nbsp;$name</td></tr>"
  done
  echo "<tr><td><b>$sumsize MB</b>&nbsp;&nbsp;"
  
  if [ -e /tmp/burn.lock ] ; then
      echo "$XBURNINPROCESS&nbsp;&nbsp;<a href=/cgi-bin/addon.sh?old-dvdburner.sh=del_lock>$XDELBURNLOCK</a>"
  else
      if [ -d /opt/java ] ; then
        echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=start=iso>$XISO</a>&nbsp;&nbsp;"
      fi
      if [ $BURNER -eq 1 ] ; then
        if [ -d /opt/java ] ; then
          echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=start=burn>$XBURN</a>&nbsp;&nbsp;"
        fi
        echo "<a href=/cgi-bin/addon.sh?old-dvdburner.sh=start=archiv>$XARCHIV</a>&nbsp;&nbsp;"
      fi
  fi
  echo "</td></tr><tr><td>"
  # show NAS - cp if NAS mounted
  if [ $(mount | grep -c ^"//") -gt 0 -a $NASCOPY -gt 0 ] ; then
  
    echo "<form method=GET action=/cgi-bin/addon.sh>"
    echo "<select name=old-dvdburner.sh=nascopy size=1>"
    if [ $NASLISTMODE -eq 0 ] ; then
      # list only root of NAS
      for i in $(cat /etc/reelhttp-base/cgi-bin/config.sh | grep ^SHARE)
      do
        name=$(echo $i | cut -d":" -f1 | cut -d"=" -f2)
        dir=$(echo $i | cut -d":" -f2 | tr -s "+" "/")
        echo "<option value=$dir>$name</option>"
      done        
    else
      # list also first Dirlevel of NAS
      for i in $(cat /etc/reelhttp-base/cgi-bin/config.sh | grep ^SHARE)
      do
        name=$(echo $i | cut -d":" -f1 | cut -d"=" -f2)
        dir=$(echo $i | cut -d":" -f2 | tr -s "+" "/")
        echo "<option value=$dir>$name</option>"
      done        

    fi  
    
    echo "</select>"    
    echo "<input type=submit value=$XCOPY></form>" 
  fi

  echo "</td></tr>"
  echo "<tr><td><hr></td></tr>"
fi

# show records
# first check, if records are changed
chksum=$(find $video -type d | md5sum | cut -d" " -f1)

# set oldsum
if [ -e /tmp/recordlist.chk -a -e /tmp/recordlist ] ; then
  oldsum=$(cat /tmp/recordlist.chk)
else
  oldsum=0
fi

# check if sums equal
if [ $chksum != $oldsum ] ; then
  # need to rebuild list
  echo "<tr><td>$XNEEDTOREBUILD</td></tr>"
  if [ -e /tmp/recordlist ] ; then
    rm /tmp/recordlist
  fi
  ./old-dvd_mklist.sh
  echo $chksum > /tmp/recordlist.chk
fi

cat /tmp/recordlist

echo "</table></td></tr>"
