#!/bin/bash

. ./addons-config.sh
#EXTERNQUAL=WLAN54

REC="$1"
REFERER=$(cat /tmp/referer)

killall vlc
if [ -e /tmp/rh_stream_extern ] ; then
 # streaming WITH transcoding
 # some examples
 # nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=500,ab=64,width=400,height=200}:standard{access=http,mux=asf",url=$REFERER:3001}
 # nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mjpg,acodec=mp3,vb=800,ab=64}:standard{access=http,mux=asf",url=$REFERER:3001} --sout-transcode-width 320 --sout-transcode-heigth 240

  case $EXTERNQUAL in
    # at first is all the same, feel free to test your own changes
     DSL1000) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=100,ab=64,width=160,height=104}:standard{access=http,mux=asf",url=$REFERER:3001}
               ;;
     DSL2000) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=128,ab=64,width=160,height=104}:standard{access=http,mux=asf",url=$REFERER:3001}
               ;;
     DSL3000) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=250,ab=64,width=320,height=208}:standard{access=http,mux=asf",url=$REFERER:3001}
               ;;
     DSL6000) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=350,ab=64,width=400,height=200}:standard{access=http,mux=asf",url=$REFERER:3001}
               ;;
     DSL16000) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=832,ab=128,width=640,height=480}:standard{access=http,mux=asf",url=$REFERER:3001}
               ;;
       LAN10) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=4096,ab=128}:standard{access=http,mux=asf",url=$REFERER:3001}
               ;;
      WLAN11) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=768,ab=128,width=640,height=408}:standard{access=http,mux=asf",url=$REFERER:3001}
               ;;
      WLAN54) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=2048,ab=128}:standard{access=http,mux=asf",url=$REFERER:3001}
                ;;
        PDA) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=350,ab=128,width=320,height=208}:standard{access=http,mux=asf",url=$REFERER:3001}
                ;;
        P480) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=832,ab=128,width=480,height=320}:standard{access=http,mux=asf",url=$REFERER:3001}
				;;
		n800) nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=350,ab=128,width=400,height=200}:standard{access=http,mux=asf",url=$REFERER:3001}
                ;;
     "DSL6000X264") nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=350,ab=64,width=400,height=200}:standard{access=http,mux=asf",url=$REFERER:3001} 
                ;;
     "DSL6000X264FAAC") nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=350,ab=64,width=400,height=200}:standard{access=http,mux=asf",url=$REFERER:3001}
                ;;
     "DSL6000XVID") nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#transcode{vcodec=mp4v,acodec=mpga,vb=350,ab=64,width=400,height=200}:standard{access=http,mux=asf",url=$REFERER:3001}
                ;;
           *) touch $TMP/out.avi ;;
  esac

else
  # streaming DIRECT
  nice -n 19 vlc -vvv $REC???.vdr --daemon --extraintf http --http-host $REFERER:3002 --sout "#standard{access=http,mux=ps",url=$REFERER:3001}
fi
